Superuser

Autor Thema: netbsd 1.6.1 smp support????  (Gelesen 10654 mal)

Offline Freud-Schiller

  • Sobl Guru
  • *****
  • Beiträge: 927
netbsd 1.6.1 smp support????
« am: 20. September 2003, 20:21:04 »
hi hat das netbsd 1.6.1 smp support schon eingebaut? also das ich das einfach installiere und dann "gehts" ????

danke für die tips

david

p.s. es geht um ross cpu´s, also ned sm xx

sonnenblen.de - Das unabhängige Sun User Forum

netbsd 1.6.1 smp support????
« am: 20. September 2003, 20:21:04 »

SmellyCat

  • Gast
Re: netbsd 1.6.1 smp support????
« Antwort #1 am: 20. September 2003, 21:24:42 »
http://www.sonnenblen.de/cgi-bin/YaBB/YaBB.cgi?board=NetBSD&action=display&num=1032977626

Betriebssysteme -> NetBSD -> MultiProzessoring
vom 16. Januar 2003 gestartet von Lordy

Offline Freud-Schiller

  • Sobl Guru
  • *****
  • Beiträge: 927
Re: netbsd 1.6.1 smp support????
« Antwort #2 am: 20. September 2003, 22:31:13 »
@ Mats, dieses posting war mir schon bekannt, doch

den letzten zwei postings nach könnte es gehen, es wurde jedoch nicht gesagt ob ich es in der 1.6.1 noch extra auswählen muß....

ich hoffe mal, daß walter noch mal vorbei schaut und was dazu sagt....



Offline Freud-Schiller

  • Sobl Guru
  • *****
  • Beiträge: 927
Re: netbsd 1.6.1 smp support????
« Antwort #3 am: 20. September 2003, 22:43:24 »
außerdem habe ich nach der version 1.6.1 gefragt, der von Dir gelinkte tree ist von 01/03 , netbsd 1.6.1 kam aber erst 04/03 raus!!! naja ..........

blende4711

  • Gast
Re: netbsd 1.6.1 smp support????
« Antwort #4 am: 22. September 2003, 02:26:30 »
Multiproz. ist nicht im Generic_Kernel.

Bei Bedarf muß ein Generic.mp Kernel compiliert werden.


Joshi

  • Gast
Re: netbsd 1.6.1 smp support????
« Antwort #5 am: 22. September 2003, 20:59:46 »
Hi,

na ja, es muss kein Generic.mp kompiliert werden. Das würde ja bedeuten, dass man sich an das NetBSD-Team wenden muss  ;).

Egal ob SM xx oder Ross CPU:
1. Du brauchst die Kernel sourcen.
2. Wie man einen Kernel baut: http://www.netbsd.org/Documentation/kernel/#how_to_build_a_kernel.
3. Mach nicht den gleichen Fehler wie ich und vergiß nicht die Zeile

options MULTIPROCESSOR

in der conf-Datei.

Viel Spaß dabei,

Jörg.


blende4711

  • Gast
Re: netbsd 1.6.1 smp support????
« Antwort #6 am: 22. September 2003, 21:30:27 »
Hallo

Genau diese zeile steht in GENERIC.mp !
Finden kann man diese File nach Installation der Source in
....src/sys/arch/sparc/conf



Offline Freud-Schiller

  • Sobl Guru
  • *****
  • Beiträge: 927
Re: netbsd 1.6.1 smp support????
« Antwort #7 am: 22. September 2003, 23:40:52 »
quotet from
"ftp://releng.netbsd.org/pub/NetBSD-daily/current/200309170000/sparc/INSTALL.html"

sparc specific
NetBSD1.6ZC is the seventh major release for the sparc.
Some (but not all!) notable sparc-specific improvements include:
Symmetric Multi-Processing (SMP) support has finally been completed. Support for Viking and SuperSPARC CPU's is complete, but multi-processor HyperSPARC systems are not yet supported.

A longstanding sun4c MMU bug has been squashed. sun4c models should be more stable and SPARCstation 1, SPARCstation 1+, and Sun IPC models should run substantially faster.

The release of X11 distributed with the sparc port has been upgraded from XFree86 3.3.6 to Xfree86 4.3.0.
NetBSD1.6ZC on sparc is, as usual, also fully backward compatible with old NetBSD/sparc binaries, so you don't need to recompile all your local programs provided you set the appropriate binary compatibility options in your kernel configuration.


wenn das stimm wäre es sehr schade :-((((((

blende4711

  • Gast
Re: netbsd 1.6.1 smp support????
« Antwort #8 am: 22. September 2003, 23:56:26 »
Hat man das beste Auto der Welt, gibt es auch Nachteile.

In den Urlaub gen Osten, kann man das Auto nicht mitnehmen.

Offline Freud-Schiller

  • Sobl Guru
  • *****
  • Beiträge: 927
Re: netbsd 1.6.1 smp support????
« Antwort #9 am: 26. September 2003, 13:36:38 »
hi leute
ich möchte netbsd von miniroot aus installieren bekomme jedoch folgende meldung nach dem booten im install menu :

"
the root device is not mounted. please mount it.
your selected target disk sd0 also holds the current
root device. i need to know whether i´m currently running out of the target root
(sd0a), or out of a alternate root(say, in sd0b, your swap partition). i can´t
tell unless you mounted the root from which you booted read and write
"
kann mir da wer nen tip geben? ich steh da echt auf dem schlauch :-(
thx a lot,
david

sonnenblen.de - Das unabhängige Sun User Forum

Re: netbsd 1.6.1 smp support????
« Antwort #9 am: 26. September 2003, 13:36:38 »

Stefan Schumacher

  • Gast
Re: netbsd 1.6.1 smp support????
« Antwort #10 am: 13. November 2003, 03:07:12 »
Zitat

hi hat das netbsd 1.6.1 smp support schon eingebaut? also das ich das einfach installiere und dann "gehts" ????


1.6.1 ist ein Patchrelease für 1.6, hat also kein SMP.
Du musst entweder ein -current-System mit SMP bauen oder einen releng-Kernel nehmen.